Bug 797356 - MySQL plugin discovery of tables should be manually disabled
MySQL plugin discovery of tables should be manually disabled
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.2
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-24 21:36 EST by Elias Ross
Modified: 2013-09-01 06:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:03:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch against 2f315f3f61a76e (29.17 KB, patch)
2012-03-16 14:00 EDT, Elias Ross
no flags Details | Diff

  None (edit)
Description Elias Ross 2012-02-24 21:36:01 EST
Description of problem:

See: https://community.jboss.org/thread/195241?tstart=0

The MySQL plugin 'discovers' the list of tables and creates resources for each one. For my application, we create new hundreds of new database tables constantly which are soon dropped.

Is there a potential problem with adding these tables to the discovery queue? Should I attempt to patch the plugin to ignore these tables entirely?

If there's no issue, then perhaps I do not need to address this at all.

Actually, I'd rather prefer it if discovery was disabled (or could be) on a server or host basis. Is there such a way? Thanks.


Version-Release number of selected component (if applicable):

4.1, 4.2, etc.



** Note: I have a pending patch to disable this. As well as test the plugin for functionality.
Comment 1 Mike Foley 2012-02-27 12:12:48 EST
triage 2/27/2012 mfoley, asantos, crouch, loleary
Comment 2 Elias Ross 2012-03-16 14:00:41 EDT
Created attachment 570671 [details]
Patch against 2f315f3f61a76e

Added change as well as unit test.

Again, has the same unit test code as 796983; but could be made to share this code or use Arquillian I suppose.
Comment 4 Heiko W. Rupp 2012-06-06 11:21:37 EDT
I think this looks like a good addition.

One question: you add the new plugin-config property "tableDiscovery" and if 
this is not true, the discovery of tables is turned off.

Wouldn't that impact users that have the plugin already deployed ?
Comment 5 Heiko W. Rupp 2012-07-04 08:20:11 EDT
master b700721
Comment 6 Heiko W. Rupp 2012-07-04 08:20:38 EDT
Thank you Elias !
Comment 7 Heiko W. Rupp 2013-09-01 06:03:46 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.